#ifndef HARDWARE_TEST_H
#define HARDWARE_TEST_H

enum
{
	FROM_USART_1,
	FROM_USART_2
};

enum
{
	HT_IDRA,
	HT_12V,
	HT_CAN,
	HT_QD,
	HT_ACC,
	HT_S_P,
	HT_LIGHT,
	HT_INPUT,
	HT_LOCK,
	HT_XL,
	HT_CHARGER,
	HT_TEMP,
	HT_ADAS,
	
	HT_MAX
};


#pragma  pack (push,1)  
typedef struct
{
	uint8_t ht_len;
	uint8_t ht_cmd;
	uint8_t ht_dir;
	uint8_t ht_crc;
	//uint8_t *ht_buf;
	
}HT_FRAME;
#pragma pack(pop)

extern uint8_t ht_mode;
extern uint8_t over_12V;
void HT_Main(void);

void Writer_HT_Flash(uint8_t flag);

void HT_Reboot_Timeout(void);

#endif

